<?php
namespace App\Enums;

enum TypeService: string
{
    case MENAGE_RESIDENTE = 'menage_residente';
    case MENAGE_NON_RESIDENTE = 'menage_non_residente';
    case NETTOYAGE_BUREAU = 'nettoyage_bureau';
    case EVENEMENTIEL = 'evenementiel';

    public function label(): string
    {
        return match($this) {
            self::MENAGE_RESIDENTE => 'Ménagère résidente',
            self::MENAGE_NON_RESIDENTE => 'Ménagère non résidente',
            self::NETTOYAGE_BUREAU => 'Nettoyage de bureaux',
            self::EVENEMENTIEL => 'Événementiel',
        };
    }
}
